=== debian/control ===
Source: tendermint
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 abci,
 debhelper (>= 9),
 dh-golang,
 golang-any,
 golang-github-gogo-protobuf-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-spf13-pflag-dev,
 golang-github-tendermint-ed25519-dev,
 golang-github-tendermint-go-autofile-dev,
 golang-github-tendermint-go-clist-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-config-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-events-dev,
 golang-github-tendermint-go-flowrate-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-p2p-dev,
 golang-github-tendermint-go-rpc-dev,
 golang-github-tendermint-go-wire-dev (>= 1.0~rc~),
 golang-github-tendermint-log15-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/tendermint/tendermint
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/tendermint.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/tendermint.git
XS-Go-Import-Path: github.com/tendermint/tendermint

Package: tendermint
Architecture: any
Built-Using: ${misc:Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: simple, secure, scalable Blockchain platform
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware
 that takes a state transition machine, written in any
 programming language, and replicates it on many machines.
 .
 This package provides the Tendermint Core executable.

Package: golang-github-tendermint-tendermint-dev
Architecture: all
Depends:
 abci,
 golang-github-gogo-protobuf-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-spf13-pflag-dev,
 golang-github-tendermint-ed25519-dev,
 golang-github-tendermint-go-autofile-dev,
 golang-github-tendermint-go-clist-dev,
 golang-github-tendermint-go-common-dev,
 golang-github-tendermint-go-config-dev,
 golang-github-tendermint-go-crypto-dev,
 golang-github-tendermint-go-db-dev,
 golang-github-tendermint-go-events-dev,
 golang-github-tendermint-go-flowrate-dev,
 golang-github-tendermint-go-logger-dev,
 golang-github-tendermint-go-merkle-dev,
 golang-github-tendermint-go-p2p-dev,
 golang-github-tendermint-go-rpc-dev,
 golang-github-tendermint-go-wire-dev (>= 1.0~rc~),
 golang-github-tendermint-log15-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 ${misc:Depends}
Description: Tendermint Go library
 Tendermint Core is Byzantine Fault Tolerant (BFT) middleware
 that takes a state transition machine, written in any
 programming language, and replicates it on many machines.
 .
 This package provides the Go packages for the development
 of Tendermint applications.
