## tendermint 0.8.0+git20170113.0.764091d

=== debian/changelog ===
tendermint (0.8.0+git20170113.0.764091d-2) unstable; urgency=medium

  * Make tests use a fake $HOME to prevent failures in environments
    that don't provide writable home directories. (Closes: #854813)

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Feb 2017 13:58:09 +0000

tendermint (0.8.0+git20170113.0.764091d-1) unstable; urgency=medium

  * Initial release (Closes: #838123)

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Feb 2017 09:09:45 +0000
