=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := consensus/test_data

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	mkdir $(CURDIR)/tests-homedir/ &&\
	HOME=$(CURDIR)/tests-homedir/ dh_auto_test && \
	rm -rf $(CURDIR)/tests-homedir/
